Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1987370 - appstream-generator: FTBFS in Fedora rawhide/f35
Summary: appstream-generator: FTBFS in Fedora rawhide/f35
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: appstream-generator
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FTBFS F36FTBFS 1994954 1994967
TreeView+ depends on / blocked
 
Reported: 2021-07-29 14:34 UTC by Fedora Release Engineering
Modified: 2021-08-30 21:42 UTC (History)
2 users (show)

Fixed In Version: appstream-generator-0.8.5-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-30 21:42:08 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2021-07-29 14:35 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2021-07-29 14:35 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2021-07-29 14:35 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2021-07-29 14:34:57 UTC
appstream-generator failed to build from source in Fedora rawhide/f35

https://koji.fedoraproject.org/koji/taskinfo?taskID=72324256


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
Please fix appstream-generator at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
appstream-generator will be orphaned. Before branching of Fedora 36,
appstream-generator will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2021-07-29 14:35:02 UTC
Created attachment 1807170 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2021-07-29 14:35:07 UTC
Created attachment 1807171 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2021-07-29 14:35:09 UTC
Created attachment 1807172 [details]
state.log

Comment 4 Fedora Release Engineering 2021-08-01 04:24:25 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-09-23).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 5 Ben Cotton 2021-08-10 13:15:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 6 Kalev Lember 2021-08-17 19:38:18 UTC
I am working on ldc version update and this FTBFS is blocking appstream-generator rebuilds against the new ldc soname.

From the build.log:

../src/asgen/config.d(148): Error: no property V0_12 for type AsFormatVersion. Did you mean AsFormatVersion._12 ?
../src/asgen/config.d(357): Error: no property V0_8 for type AsFormatVersion. Did you mean AsFormatVersion._8 ?
../src/asgen/config.d(360): Error: no property V0_9 for type AsFormatVersion. Did you mean AsFormatVersion._9 ?
../src/asgen/config.d(363): Error: no property V0_10 for type AsFormatVersion. Did you mean AsFormatVersion._10 ?
../src/asgen/config.d(366): Error: no property V0_11 for type AsFormatVersion. Did you mean AsFormatVersion._11 ?
../src/asgen/config.d(369): Error: no property V0_12 for type AsFormatVersion. Did you mean AsFormatVersion._12 ?

Comment 7 Neal Gompa 2021-08-18 19:50:46 UTC
So trying a new build upgraded to asgen 0.8.4 gets me this in the build log instead:

[1/145] ldc2 -I=libgirbindings.a.p -I=. -I=.. -I=girepo -I=../girepo -I/usr/include/d/glibd-2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/libmount -I/usr/include/blkid -enable-color -wi -O -g -release -wi -makedeps=libgirbindings.a.p/redhat-linux-build_girepo_gdkpixbuf_c_types.d.o.deps -of=libgirbindings.a.p/redhat-linux-build_girepo_gdkpixbuf_c_types.d.o -c ../redhat-linux-build/girepo/gdkpixbuf/c/types.d
FAILED: libgirbindings.a.p/redhat-linux-build_girepo_gdkpixbuf_c_types.d.o 
ldc2 -I=libgirbindings.a.p -I=. -I=.. -I=girepo -I=../girepo -I/usr/include/d/glibd-2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/sysprof-4 -I/usr/include/libmount -I/usr/include/blkid -enable-color -wi -O -g -release -wi -makedeps=libgirbindings.a.p/redhat-linux-build_girepo_gdkpixbuf_c_types.d.o.deps -of=libgirbindings.a.p/redhat-linux-build_girepo_gdkpixbuf_c_types.d.o -c ../redhat-linux-build/girepo/gdkpixbuf/c/types.d
../redhat-linux-build/girepo/gdkpixbuf/c/types.d(538): Error: undefined identifier `FILE`
../redhat-linux-build/girepo/gdkpixbuf/c/types.d(548): Error: undefined identifier `FILE`
../redhat-linux-build/girepo/gdkpixbuf/c/types.d(550): Error: undefined identifier `FILE`


Any ideas?

Build task here: https://koji.fedoraproject.org/koji/taskinfo?taskID=74096311

Comment 8 Kalev Lember 2021-08-19 10:32:27 UTC
This looks to be fixed in upstream git in https://github.com/ximion/appstream-generator/commit/d5dad3b174eea7e9fbe0ed6e7b55a366b8eb203d . Can you try backporting that?

Comment 9 Neal Gompa 2021-08-19 13:45:48 UTC
Yeah, so with that commit, we're back to where we are with comment 6.

Build task here: https://koji.fedoraproject.org/koji/taskinfo?taskID=74139362

Comment 10 Fedora Update System 2021-08-29 00:52:11 UTC
FEDORA-2021-fb0ad9d8b7 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-fb0ad9d8b7

Comment 11 Fedora Update System 2021-08-29 17:52:16 UTC
FEDORA-2021-fb0ad9d8b7 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-fb0ad9d8b7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-fb0ad9d8b7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-08-30 21:42:08 UTC
FEDORA-2021-fb0ad9d8b7 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.